package com.zd.laboratory.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;

/**
 * 白名单关联的实验室对象 lab_white_join_sublist
 *
 * @author zd
 * @date 2022-03-17
 */
@ApiModel("白名单关联的实验室")
public class LabWhiteJoinSublist extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 用户id */
    @Excel(name = "用户id")
    @ApiModelProperty(value = "用户id")
    private Long whiteUserId;
    /** 实验室id */
    @Excel(name = "实验室id")
    @ApiModelProperty(value = "实验室id")
    private Long subjectId;
    public void setId(Long id)
    {
        this.id = id;
    }

    @ApiModelProperty(value = "实验室名称")
    private String name;

    @ApiModelProperty(value = "楼栋名称")
    private String building;

    @ApiModelProperty(value = "所属学院")
    private String deptName;

    @ApiModelProperty(value = "实验室负责人")
    private String adminName;

    @ApiModelProperty(value = "安全分级")
    private String levelName;

    @ApiModelProperty(value = "所属楼层")
    private String buildName;


    public Long getId()
    {
        return id;
    }
    public void setWhiteUserId(Long whiteUserId)
    {
        this.whiteUserId = whiteUserId;
    }

    public Long getWhiteUserId()
    {
        return whiteUserId;
    }
    public void setSubjectId(Long subjectId)
    {
        this.subjectId = subjectId;
    }

    public Long getSubjectId()
    {
        return subjectId;
    }

    public String getAdminName() {
        return adminName;
    }

    public void setAdminName(String adminName) {
        this.adminName = adminName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getBuilding() {
        return building;
    }

    public void setBuilding(String building) {
        this.building = building;
    }

    @Override
    public String getDeptName() {
        return deptName;
    }

    @Override
    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getLevelName() {
        return levelName;
    }

    public void setLevelName(String levelName) {
        this.levelName = levelName;
    }

    public String getBuildName() {
        return buildName;
    }

    public void setBuildName(String buildName) {
        this.buildName = buildName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("whiteUserId", getWhiteUserId())
            .append("subjectId", getSubjectId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
